# Class MariaDbDataTruncation

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
java.sql.SQLWarning
java.sql.DataTruncation
org.mariadb.jdbc.export.MariaDbDataTruncation

All Implemented Interfaces:
  `Serializable, Iterable<Throwable>`

public class MariaDbDataTruncation extends DataTruncation

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MariaDbDataTruncation(String message, String sqlState, int errorCode, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`
`String`
`getMessage()`
`String`
`getSQLState()`

### Methods inherited from class DataTruncation

`getDataSize, getIndex, getParameter, getRead, getTransferSize`

### Methods inherited from class SQLWarning

`getNextWarning, setNextWarning`

### Methods inherited from class SQLException

`getNextException, iterator, setNextException`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### MariaDbDataTruncation

public MariaDbDataTruncation(String message, String sqlState, int errorCode, Throwable cause)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### getSQLState

public String getSQLState()

Overrides:
  `getSQLState` in class `SQLException`

### getErrorCode

public int getErrorCode()

Overrides:
  `getErrorCode` in class `SQLException`